- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: beff0e3a-d2c4-47b5-9e31-36ea85049552
    creation_time: 2023-02-17T12:12:28.775569Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/afnp2014.i
      input_file_hashes:
        c/loop-lit/afnp2014.i: 9b126c2e4179fcd1dca44e04eae9f0721983a9a06894cd5f31aebfbdbef2948a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/afnp2014.i
    file_hash: 9b126c2e4179fcd1dca44e04eae9f0721983a9a06894cd5f31aebfbdbef2948a
    line: 27
    column: 0
    function: main
  loop_invariant:
    string:  ( x >= y && y >= 1 ||  ( x == 1 && y == 0 )  )  && y <= 1000
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3193d59c-ee28-48a4-bc25-40f5d3075664
    creation_time: 2023-02-17T12:12:28.775855Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/afnp2014.i
      input_file_hashes:
        c/loop-lit/afnp2014.i: 9b126c2e4179fcd1dca44e04eae9f0721983a9a06894cd5f31aebfbdbef2948a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/afnp2014.i
    file_hash: 9b126c2e4179fcd1dca44e04eae9f0721983a9a06894cd5f31aebfbdbef2948a
    line: 31
    column: 0
    function: main
  location_invariant:
    string: x >= y
    type: assertion
    format: C

